lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dan Scarf <dsc...@gmail.com>
Subject Data Import Handlers not working after upgrade from 6.3.0 to 6.4.0
Date Wed, 25 Jan 2017 23:06:52 GMT
Hi,
We're working on rolling out a far newer instance of Solr using SolrCloud
than what we currently have in Production.

In our Dev environment, we had set up Solr 6.3.0.  Over the last couple of
weeks, the Ops team has been test driving SolrCloud and the
resiliency/failover, while our Dev team has been working on coding to the
SolrCloud API as well as tweaking the Data Import.

I upgraded Solr 6.3.0 this morning to 6.4.0. All seemed good according to
the logs but this afternoon we discovered that the DataImport tabs in our
Collections now say:

 'Sorry, no dataimport-handler defined!'.

This was working before the upgrade so I'm guessing I missed something.

We turned on 'ALL' logging and still didn't see anything indicative of what
might be causing this. But I'll keep looking.

I did notice that

 http://<hostname>:8983/solr/#/~java-properties
I don't see the dataimporthandler jar files included in the classpath.

However the solr. install. dir is defined as /opt/solr
and in solrconfig.xml there's this

<lib dir="${solr.install.dir:../../../..}/dist/"
regex="solr-dataimporthandler-.*\.jar" />

seems like too many ../. But I'm not sure.

Anyway, I'll keep looking at the logs for clues but I'm being asked to
downgrade to Solr 6.3.0, which I'd obviously not do.

Thanks in advance for your time,
Dan

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message